package org.rcisoft.core.auth.config;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Created with family.
 * author: cy
 * Date: 2019/11/28
 * Time: 10:55 AM
 * description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Component
public class CyServiceAuthConfig {

    private byte[] pubKeyByte;

    @Value("${auth.client.id:null}")
    private String clientId;

    @Value("${auth.client.secret}")
    private String clientSecret;

    @Value("${auth.client.token-header}")
    private String tokenHeader;

    @Value("${spring.application.name}")
    private String applicationName;


    public String getClientId() {
        return "null".equals(clientId) ? applicationName : clientId;
    }

}
